<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: social_dock.php
| Version: 1.00
| Author: PHP-Fusion Mods UK
| Developer: Craig
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }


if (file_exists(INFUSIONS."css_social_dock/locale/".$settings['locale'].".php")) {
	include INFUSIONS."css_social_dock/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."css_social_dock/locale/English.php";
}


///////////////   SOCIAL DOCK SETTINGS EDIT THESE VALUES   ///////////////

$social['circle'] = 0;  									// Display Circle Icons    1 = Circle || 2 = Square
$facebook_id ="fangreeproductions"; 						// Your Facebook Username or Id  (eg. fangreeproductions or 100001798383219)
$twitter_id ="fangree"; 									// Your Twitter Name
$googleplus_id ="100605383320707393968"; 					// Your Google Plus ID  (eg. 100605383320707393968)
$youtube_id ="fangree";  									// Your YouTube Username (eg. fangree)
$rss_url ="http://www.phpfusionmods.co.uk/news_rss.php";  	// URL To Your RSS Feed

///////////////   SOCIAL DOCK SETTINGS END   ///////////////



if ($social['circle'] == 0) {
add_to_head("<style type='text/css' media='screen'>

.social-dock {
	border-radius: 5px;
	-moz-border-radius: 5px;
	-webkit-border-radius:5px;
	height: 46px;
	width: 46px;
	margin: 10px;
	float: left;
	-webkit-transition: all ease 0.3s;
	-moz-transition: all ease 0.3s;
	-o-transition: all ease 0.3s;
	-ms-transition: all ease 0.3s;
	transition: all ease 0.3s;
}
.social-dock:hover {
	background-position: 0px -48px;
	box-shadow: 0px 0px 4px 1px rgba(0,0,0,0.8);
}

</style>");

}else{

add_to_head("<style type='text/css' media='screen'>

.social-dock-circle {
	border-radius: 30px;
	-moz-border-radius: 30px;
	-webkit-border-radius:30px;
	height: 46px;
	width: 46px;
	margin: 10px;
	float: left;
	-webkit-transition: all ease 0.3s;
	-moz-transition: all ease 0.3s;
	-o-transition: all ease 0.3s;
	-ms-transition: all ease 0.3s;
	transition: all ease 0.3s;
}

.social-dock-circle:hover {
	background-position: 0px -48px;
	box-shadow: 0px 0px 4px 1px rgba(0,0,0,0.8);
}

</style>");

}

add_to_head("<style type='text/css' media='screen'>

.facebook-hover {
    background-image: url(".INFUSIONS."css_social_dock/images/facebook-hover.png);
}

.twitter-hover {
    background-image: url(".INFUSIONS."css_social_dock/images/twitter-hover.png);
}

.google-hover {
    background-image: url(".INFUSIONS."css_social_dock/images/google-hover.png);
}

.youtube-hover {
	background-image: url(".INFUSIONS."css_social_dock/images/youtube-hover.png);
}

.rss-hover {
    background-image: url(".INFUSIONS."css_social_dock/images/rss-hover.png);
}

</style>");



if ($social['circle'] == 0) {

	echo"<a title='".$locale['socialdock_001']."' href='http://www.twitter.com/".$twitter_id."' target='_blank'><div class='twitter-hover social-dock'></div></a>
	<a title='".$locale['socialdock_002']."' href='https://www.facebook.com/".$facebook_id."' target='_blank'><div class='facebook-hover social-dock'></div></a>
	<a title='".$locale['socialdock_003']."' href='https://plus.google.com/".$googleplus_id."' target='_blank'><div class='google-hover social-dock'></div></a>
	<a title='".$locale['socialdock_004']."' href='http://www.youtube.com/".$youtube_id."' target='_blank'><div class='youtube-hover social-dock'></div></a>
	<a title='".$locale['socialdock_005']."' href='".$rss_url."' target='_blank'><div class='rss-hover social-dock'></div></a>";

}else{

	echo"<a title='".$locale['socialdock_001']."' href='http://www.twitter.com/".$twitter_id."' target='_blank'><div class='twitter-hover social-dock-circle'></div></a>
	<a title='".$locale['socialdock_002']."' href='https://www.facebook.com/".$facebook_id."' target='_blank'><div class='facebook-hover social-dock-circle'></div></a>
	<a title='".$locale['socialdock_003']."' href='https://plus.google.com/".$googleplus_id."' target='_blank'><div class='google-hover social-dock-circle'></div></a>
	<a title='".$locale['socialdock_004']."' href='http://www.youtube.com/".$youtube_id."' target='_blank'><div class='youtube-hover social-dock-circle'></div></a>
	<a title='".$locale['socialdock_005']."' href='".$rss_url."' target='_blank'><div class='rss-hover social-dock-circle'></div></a>";

}

?>
